﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVM_Expand_Tree
{
    class Company
    {
        public ObservableCollection<Employee> Employees { get; private set; }
        public string Name { get; set; }

        public Company(string name)
        {
            Name = name;
            Employees = new ObservableCollection<Employee>();
        }

        public void HireEmployee(Employee employee)
        {
            Employees.Add(employee);
        }
    }
}
